Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ObservableProperty Class Reference
[Properties]

`#include <ObservableProperty.h>`

Inherited by tlp::PropertyInterface.

Inheritance diagram for tlp::ObservableProperty:

[legend]
List of all members.

## Detailed Description

Observable object for Property.

## Public Member Functions

- virtual ~ObservableProperty ()
- void addPropertyObserver (PropertyObserver *) const
- unsigned int countPropertyObservers ()
- void removePropertyObserver (PropertyObserver *) const
- void removePropertyObservers ()

## Protected Member Functions

- void notifyBeforeSetNodeValue (PropertyInterface *, const node n)
- void notifyAfterSetNodeValue (PropertyInterface *, const node n)
- void notifyBeforeSetEdgeValue (PropertyInterface *, const edge e)
- void notifyAfterSetEdgeValue (PropertyInterface *, const edge e)
- void notifyBeforeSetAllNodeValue (PropertyInterface *)
- void notifyAfterSetAllNodeValue (PropertyInterface *)
- void notifyBeforeSetAllEdgeValue (PropertyInterface *)
- void notifyAfterSetAllEdgeValue (PropertyInterface *)
- void notifyDestroy (PropertyInterface *)
- void removeOnlyPropertyObserver (PropertyObserver *) const

## Protected Attributes

- stdext::slist< PropertyObserver * > observers

## Friends

- class PropertyObserver

## Constructor & Destructor Documentation

virtual tlp::ObservableProperty::~ObservableProperty | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void tlp::ObservableProperty::addPropertyObserver | ( | PropertyObserver * |  | ) | const

| Register a new observer

unsigned int tlp::ObservableProperty::countPropertyObservers | ( |  | ) | `[inline]`

| Returns the number of observers

void tlp::ObservableProperty::notifyAfterSetAllEdgeValue | ( | PropertyInterface * |  | ) | `[protected]`

| Reimplemented in tlp::PropertyInterface.

void tlp::ObservableProperty::notifyAfterSetAllNodeValue | ( | PropertyInterface * |  | ) | `[protected]`

| Reimplemented in tlp::PropertyInterface.

void tlp::ObservableProperty::notifyAfterSetEdgeValue | ( | PropertyInterface * | ,
|  | const edge | e
| ) | `[protected]`

| Reimplemented in tlp::PropertyInterface.

void tlp::ObservableProperty::notifyAfterSetNodeValue | ( | PropertyInterface * | ,
|  | const node | n
| ) | `[protected]`

| Reimplemented in tlp::PropertyInterface.

void tlp::ObservableProperty::notifyBeforeSetAllEdgeValue | ( | PropertyInterface * |  | ) | `[protected]`

void tlp::ObservableProperty::notifyBeforeSetAllNodeValue | ( | PropertyInterface * |  | ) | `[protected]`

void tlp::ObservableProperty::notifyBeforeSetEdgeValue | ( | PropertyInterface * | ,
|  | const edge | e
| ) | `[protected]`

void tlp::ObservableProperty::notifyBeforeSetNodeValue | ( | PropertyInterface * | ,
|  | const node | n
| ) | `[protected]`

void tlp::ObservableProperty::notifyDestroy | ( | PropertyInterface * |  | ) | `[protected]`

| Reimplemented in tlp::PropertyInterface.

void tlp::ObservableProperty::removeOnlyPropertyObserver | ( | PropertyObserver * |  | ) | const`[inline, protected]`

void tlp::ObservableProperty::removePropertyObserver | ( | PropertyObserver * |  | ) | const`[inline]`

| Remove an observer

void tlp::ObservableProperty::removePropertyObservers | ( |  | ) |

| Remove all observers

## Friends And Related Function Documentation

friend class PropertyObserver `[friend]`

## Member Data Documentation

stdext::slist<PropertyObserver*> tlp::ObservableProperty::observers `[mutable, protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010